4Suite™ API Documentation

# ► Module Ft.Server.Common.DocumentDefinitionSerialization

WWW: http://4suite.org e-mail: support@4suite.org
Copyright 2002 Fourthought Inc, USA.
See http://4suite.org/COPYRIGHT for license and copyright information

Functions: Deserialize, Serialize |  |  |  | Fields: EMPTY_NAMESPACE, EMPTY_PREFIX, FTSERVER_NAMESPACE, OBJECT_TYPE_LITERAL, OBJECT_TYPE_RESOURCE, OBJECT_TYPE_UNKNOWN, RDF_MS_BASE, RESERVED_NAMESPACE, XLINK_NAMESPACE, XMLNS_NAMESPACE, XML_NAMESPACE

## Functions

Deserialize(dd_dom)
Deserialize a document definition into its pieces
Serialize(bns, nss, maps, cp)
Serialize a XPath Document Definition from discrete components

## Fields

EMPTY_NAMESPACE = None
EMPTY_PREFIX = None
FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
OBJECT_TYPE_LITERAL = 'L'
OBJECT_TYPE_RESOURCE = 'R'
OBJECT_TYPE_UNKNOWN = '?'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
XML_NAMESPACE = u'http://www.w3.org/XML/1998/namespace'